Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTaskAssignedAsPotentialOwnerCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<TaskSummary>>
          org.jbpm.services.task.commands.GetTaskAssignedAsPotentialOwnerCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<TaskSummary>>, Command<List<TaskSummary>>

    public class GetTaskAssignedAsPotentialOwnerCommand

extends TaskCommand<List<TaskSummary>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`groupsIds, targetEntityId, taskId, userId`

Constructor Summary
`GetTaskAssignedAsPotentialOwnerCommand()`
`GetTaskAssignedAsPotentialOwnerCommand(String userId, String language)`
`GetTaskAssignedAsPotentialOwnerCommand(String userId, String language, List<Status> status)`

Method Summary
`List<TaskSummary>` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `getLanguage()`
`List<Status>` | `getStatuses()`
`void` | `setLanguage(String language)`
`void` | `setStatuses(List<Status> status)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTaskAssignedAsPotentialOwnerCommand

    public GetTaskAssignedAsPotentialOwnerCommand()

### GetTaskAssignedAsPotentialOwnerCommand

    public GetTaskAssignedAsPotentialOwnerCommand(String userId,
                                                  String language)

### GetTaskAssignedAsPotentialOwnerCommand

    public GetTaskAssignedAsPotentialOwnerCommand(String userId,
                                                  String language,
                                                  List<Status> status)

Method Detail

### getLanguage

    public String getLanguage()

### setLanguage

    public void setLanguage(String language)

### getStatuses

    public List<Status> getStatuses()

### setStatuses

    public void setStatuses(List<Status> status)

### execute

    public List<TaskSummary> execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.